Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core
Class RowMetaAndData

    java.lang.Object
      org.pentaho.di.core.RowMetaAndData

All Implemented Interfaces:
  Cloneable

    public class RowMetaAndData

extends Object
implements Cloneable

Constructor Summary
`RowMetaAndData()`
`RowMetaAndData(RowMetaInterface rowMeta, Object... data)`

Method Summary
`void` | `addValue(String valueName, int valueType, Object valueData)`
`void` | `addValue(ValueMeta valueMeta, Object valueData)`
`void` | `clear()`
`RowMetaAndData` | `clone()`
`int` | `compare(RowMetaAndData compare, int[] is, boolean[] bs)`
`boolean` | `equals(Object obj)`
`BigDecimal` | `getBigNumber(int index, BigDecimal def)`
`BigDecimal` | `getBigNumber(String valueName, BigDecimal def)`
`byte[]` | `getBinary(int index, byte[] def)`
`byte[]` | `getBinary(String valueName, byte[] def)`
`boolean` | `getBoolean(int index, boolean def)`
`boolean` | `getBoolean(String valueName, boolean def)`
`Object[]` | `getData()`
`Date` | `getDate(int index, Date def)`
`Date` | `getDate(String valueName, Date def)`
`Long` | `getInteger(int index)`
`long` | `getInteger(int index, long def)`
`Long` | `getInteger(String valueName)`
`long` | `getInteger(String valueName, long def)`
`double` | `getNumber(int index, double def)`
`double` | `getNumber(String valueName, double def)`
`RowMetaInterface` | `getRowMeta()`
`String` | `getString(int index, String def)`
`String` | `getString(String valueName, String def)`
`ValueMetaInterface` | `getValueMeta(int index)`
`int` | `hashCode()`
`boolean` | `isNumeric(int index)`
`void` | `removeValue(int index)`
`void` | `removeValue(String valueName)`
`void` | `setData(Object[] data)`
`void` | `setRowMeta(RowMetaInterface rowMeta)`
`int` | `size()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RowMetaAndData

    public RowMetaAndData()

### RowMetaAndData

    public RowMetaAndData(RowMetaInterface rowMeta,
                          Object... data)

Parameters:
  `rowMeta` -
  `data` -

Method Detail

### clone

    public RowMetaAndData clone()

  Overrides:
    `clone` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getData

    public Object[] getData()

  Returns:
    the data

### setData

    public void setData(Object[] data)

  Parameters:
    `data` - the data to set

### getRowMeta

    public RowMetaInterface getRowMeta()

  Returns:
    the rowMeta

### setRowMeta

    public void setRowMeta(RowMetaInterface rowMeta)

  Parameters:
    `rowMeta` - the rowMeta to set

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### addValue

    public void addValue(ValueMeta valueMeta,
                         Object valueData)

### addValue

    public void addValue(String valueName,
                         int valueType,
                         Object valueData)

### clear

    public void clear()

### getInteger

    public long getInteger(String valueName,
                           long def)
                    throws KettleValueException

  Throws:
    `KettleValueException`

### getInteger

    public long getInteger(int index,
                           long def)
                    throws KettleValueException

  Throws:
    `KettleValueException`

### getInteger

    public Long getInteger(String valueName)
                    throws KettleValueException

  Throws:
    `KettleValueException`

### getInteger

    public Long getInteger(int index)
                    throws KettleValueException

  Throws:
    `KettleValueException`

### getNumber

    public double getNumber(String valueName,
                            double def)
                     throws KettleValueException

  Throws:
    `KettleValueException`

### getNumber

    public double getNumber(int index,
                            double def)
                     throws KettleValueException

  Throws:
    `KettleValueException`

### getDate

    public Date getDate(String valueName,
                        Date def)
                 throws KettleValueException

  Throws:
    `KettleValueException`

### getDate

    public Date getDate(int index,
                        Date def)
                 throws KettleValueException

  Throws:
    `KettleValueException`

### getBigNumber

    public BigDecimal getBigNumber(String valueName,
                                   BigDecimal def)
                            throws KettleValueException

  Throws:
    `KettleValueException`

### getBigNumber

    public BigDecimal getBigNumber(int index,
                                   BigDecimal def)
                            throws KettleValueException

  Throws:
    `KettleValueException`

### getBoolean

    public boolean getBoolean(String valueName,
                              boolean def)
                       throws KettleValueException

  Throws:
    `KettleValueException`

### getBoolean

    public boolean getBoolean(int index,
                              boolean def)
                       throws KettleValueException

  Throws:
    `KettleValueException`

### getString

    public String getString(String valueName,
                            String def)
                     throws KettleValueException

  Throws:
    `KettleValueException`

### getString

    public String getString(int index,
                            String def)
                     throws KettleValueException

  Throws:
    `KettleValueException`

### getBinary

    public byte[] getBinary(String valueName,
                            byte[] def)
                     throws KettleValueException

  Throws:
    `KettleValueException`

### getBinary

    public byte[] getBinary(int index,
                            byte[] def)
                     throws KettleValueException

  Throws:
    `KettleValueException`

### compare

    public int compare(RowMetaAndData compare,
                       int[] is,
                       boolean[] bs)
                throws KettleValueException

  Throws:
    `KettleValueException`

### isNumeric

    public boolean isNumeric(int index)

### size

    public int size()

### getValueMeta

    public ValueMetaInterface getValueMeta(int index)

### removeValue

    public void removeValue(String valueName)
                     throws KettleValueException

  Throws:
    `KettleValueException`

### removeValue

    public void removeValue(int index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD